# $Revision: 1.38 $, $Date: 2004/11/07 20:41:12 $
# %define snddevice /dev/dsp
Summary:	Window Maker sound server
Summary(fr):	Serveur de son de Window Maker
Summary(nb):	Window Maker lydtjener
Summary(pl):	Serwer dwiku dla WindowMakera
Summary(pt_BR):	Servidor de som do Window Maker
Name:		wmsound
Version:	0.9.5
Release:	3
License:	GPL v2+
Group:		X11/Window Managers/Tools
Source0:	ftp://shadowmere.student.utwente.nl/pub/WindowMaker/%{name}-%{version}.tar.gz
# Source0-md5:	86f9b19ca0ca1daa072d76d02943dd3e
Source1:	wmsdefault.tar.gz
# Source1-md5:	bec32117f9c7ef1f056e96bc8fefae9a
Source2:	%{name}-soundset
Patch0:		%{name}-config.patch
Patch1:		%{name}-ComplexProgramTargetNoMan.patch
Patch2:		%{name}-esd.patch
# not active
URL:		http://www.frontiernet.net/~southgat/wmsound/
BuildRequires:	XFree86-devel
BuildRequires:	libPropList-devel >= 0.8.3
BuildRequires:	esound-devel
Requires:	WindowMaker
Requires:	esound
Provides:	wmsoundserver
Obsoletes:	wmsoundserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11

%description
Wmsound is the sound server for Window Maker, it currently supports 8
or 16 bit .WAV files.

%description -l es
wmsound es el servidor de sonido para Window Maker, actualmente
soporta archivos .WAV de 8  16 bits.

%description -l fr
Wmsound est le serveur de son pour Window Maker, il supporte
actuellement les fichiers son .WAV 8 ou 16 bit.

%description -l nb
Wmsound er en lydtjener for Window Maker, som for yeblikket sttter 8
og 16 bit .WAV filer.

%description -l pl
Wmsound jest serwerem dwiku dla WindowMaker'a. Aktualnie obsuguje
pliki .WAV w formacie 8 i 16 bitowym.

%description -l pt_BR
O wmsound  o servidor de som para o Window Maker, atualmente suporta
arquivos .WAV de 8 ou 16 bits.

%package data
Summary:	Wmsound data
Summary(fr):	Donnes de Wmsound
Summary(nb):	Data til Wmsound
Summary(pl):	Pliki z danymi dla Wmsound
Group:		X11/Window Managers/Tools
Requires:	wmsoundserver
Obsoletes:	WSoundServer-data

%description data
The standard Wmsound data.

%description data -l es
Los datos predeterminados para wmsound.

%description data -l fr
Les donnes standard de Wmsound.

%description data -l nb
Standard datafiler til Wmsound.

%description data -l pl
Pliki z danymi dla Wmsound.

%description data -l pt_BR
Os dados padro para o wmsound.

%package devel
Summary:	Wmsound development option
Summary(nb):	Utviklings bibliotek for Wmsound
Summary(pl):	Pliki nagwkowe dla Wmsounda
Group:		X11/Development/Libraries

%description devel
The Wmsound library and header file

%description devel -l es
Bibliotecas y archivos de inclusin, para que puedas desarrollar
aplicaciones que usen el servidor de sonido wmsound.

%description devel -l nb
Wmsound biblioteket samt headerfilen

%description devel -l pl
Pliki nagwkowe i biblioteki dla Wmsounda.

%description devel -l pt_BR
Bibliotecas para construir aplicaes com wmsound.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0

sed -i -e "s#LIB_INST\ =.*#LIB_INST = /%{_lib}#" lib/Imakefile
mkdir config
cd config
tar xzf %{SOURCE1}

%build
xmkmf -a

%{__make} all \
	CDEBUGFLAGS="%{rpmcflags} -ffast-math" \
	CXXDEBUGFLAGS="%{rpmcflags} -ffast-math" \
	PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/WindowMaker/{Sounds,SoundSets} \
	$RPM_BUILD_ROOT%{_sysconfdir}/WindowMaker

./Install
%{__make} install DESTDIR=$RPM_BUILD_ROOT%{_prefix}

install config/WMSound $RPM_BUILD_ROOT%{_sysconfdir}/WindowMaker
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/WindowMaker/SoundSets/Default
install config/Sounds/*.wav $RPM_BUILD_ROOT%{_datadir}/WindowMaker/Sounds

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/nmaker
%attr(755,root,root) %{_bindir}/getsounds
%attr(755,root,root) %{_bindir}/setsounds
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/WindowMaker/WMSound

%files data
%defattr(644,root,root,755)
%{_datadir}/WindowMaker/Sounds/*.wav
%config(noreplace) %verify(not size mtime md5) %{_datadir}/WindowMaker/SoundSets/Default

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmsound.spec,v $
Revision 1.38  2004/11/07 20:41:12  havner
- wrr

Revision 1.37  2004/11/07 20:34:39  havner
- Sounds and SoundSets dir should belong to WindowMaker, f.e. WSoundServer
  works ok with wmsouns-worms2 (doesn't need wmsound-data)
- WindowMaker rel 3
- wmsound rel 2

Revision 1.36  2004/11/07 19:20:13  havner
- proper sysconfdir

Revision 1.35  2004/11/07 19:14:11  havner
- cosmetics

Revision 1.34  2004/11/07 19:11:06  havner
- try to build on amd64

Revision 1.33  2004/11/07 18:28:40  havner
- obsoletes for wmsoundserver

Revision 1.32  2004/10/28 11:08:14  paladine
- "WAV" unification

Revision 1.31  2004/02/16 17:27:49  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.30  2004/02/08 18:40:42  hunter
-use esd

Revision 1.29  2003/09/02 10:23:24  havner
- prefix changed to /usr

Revision 1.28  2003/05/28 13:02:56  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:28:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2002/09/04 12:07:51  qboosh
- updated to 0.9.5; -data package is shareable now

Revision 1.25  2002/02/23 05:10:58  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/02 20:40:30  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.22  2002/01/18 02:15:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/12/04 08:29:16  kloczek
- release 4: added ComplexProgramTargetNoMan patch.

Revision 1.20  2001/12/04 07:53:13  kloczek
- release 4.

Revision 1.19  2001/11/25 17:17:32  blues
- some stollen translations

Revision 1.18  2001/11/21 02:35:29  blues
- one URL updated, other added comment
- cosmetic in files
NOTE: there is new version avaible

Revision 1.17  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.16  2000/06/09 07:24:04  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.13  1999/09/04 10:10:43  pius
- cosmetics

Revision 1.12  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.11  1999/07/12 23:06:21  kloczek

- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.9.4-3]
- package is FHS 2.0 compliant,
- based on spec file written by Kjetil Wiekhorst Jrgensen <jorgens@pvv.org>,
  rewritten for PLD use by me and Artur Frysiak <wiget@pld.org.pl>.
